JUCE: Toolbar::LookAndFeelMethods Struct Reference

JUCE

Public Member Functions | List of all members
Toolbar::LookAndFeelMethods Struct Referenceabstract
juce_gui_basics » widgets

This abstract base class is implemented by LookAndFeel classes. More...

`#include <juce_Toolbar.h>`

Inheritance diagram for Toolbar::LookAndFeelMethods:

## Public Member Functions
virtual | ~LookAndFeelMethods ()=default
virtual void | paintToolbarBackground (Graphics &, int width, int height, Toolbar &)=0
virtual Button * | createToolbarMissingItemsButton (Toolbar &)=0
virtual void | paintToolbarButtonBackground (Graphics &, int width, int height, bool isMouseOver, bool isMouseDown, ToolbarItemComponent &)=0
virtual void | paintToolbarButtonLabel (Graphics &, int x, int y, int width, int height, const String &text, ToolbarItemComponent &)=0

## Detailed Description

This abstract base class is implemented by LookAndFeel classes.

## Constructor & Destructor Documentation

## ◆ ~LookAndFeelMethods()

virtual Toolbar::LookAndFeelMethods::~LookAndFeelMethods | ( |  | ) |
| virtualdefault

## Member Function Documentation

## ◆ paintToolbarBackground()

virtual void Toolbar::LookAndFeelMethods::paintToolbarBackground | ( | Graphics & | ,
|  | int | width,
|  | int | height,
|  | Toolbar & |
| ) |  |
| pure virtual

Implemented in LookAndFeel_V2, and LookAndFeel_V4.

## ◆ createToolbarMissingItemsButton()

virtual Button * Toolbar::LookAndFeelMethods::createToolbarMissingItemsButton | ( | Toolbar & |  | ) |
| pure virtual

Implemented in LookAndFeel_V2.

## ◆ paintToolbarButtonBackground()

virtual void Toolbar::LookAndFeelMethods::paintToolbarButtonBackground | ( | Graphics & | ,
|  | int | width,
|  | int | height,
|  | bool | isMouseOver,
|  | bool | isMouseDown,
|  | ToolbarItemComponent & |
| ) |  |
| pure virtual

Implemented in LookAndFeel_V2.

## ◆ paintToolbarButtonLabel()

virtual void Toolbar::LookAndFeelMethods::paintToolbarButtonLabel | ( | Graphics & | ,
|  | int | x,
|  | int | y,
|  | int | width,
|  | int | height,
|  | const String & | text,
|  | ToolbarItemComponent & |
| ) |  |
| pure virtual

Implemented in LookAndFeel_V2, and LookAndFeel_V4.

The documentation for this struct was generated from the following file:

- juce_Toolbar.h